package tui

import (
	"context"

	"github.com/rivo/tview"
)

type DetailedView struct {
	*tview.TextView
}

func NewDetailedView(detailed string) *DetailedView {
	v := &DetailedView{
		TextView: tview.NewTextView(),
	}
	v.SetDynamicColors(true)
	v.SetText(detailed)
	return v
}

func (v *DetailedView) Mount(_ context.Context) error  { return nil }
func (v *DetailedView) Update(_ context.Context) error { return nil }
func (v *DetailedView) Unmount()                       {}
