package audit

import "git.frostfs.info/TrueCloudLab/frostfs-node/cmd/frostfs-node/config"

const (
	subsection = "audit"
)

// Enabled returns the  value of "enabled" config parameter from "audit" section.
func Enabled(c *config.Config) bool {
	return config.BoolSafe(c.Sub(subsection), "enabled")
}
